package com.yonge.cooleshow.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.yonge.cooleshow.biz.dal.enums.SuggestionType;
import com.yonge.cooleshow.common.entity.BaseEntity;

/**
 * 对应数据库表(sys_suggestion):
 */
public class SysSuggestion extends BaseEntity {

	/** 编号 */
	private Long id;
	
	/** 联系方式 */
	@ApiModelProperty(value = "联系方式",required = false)
	private String mobileNo;
	
	/** 标题 */
	@ApiModelProperty(value = "标题",required = false)
	private String title;
	
	/** 内容 */
	@ApiModelProperty(value = "内容",required = false)
	private String content;

	/** 媒体 */
	@ApiModelProperty(value = "媒体",required = false)
	private String url;
	
	/** 用户编号 */
	@ApiModelProperty(value = "用户编号",required = false)
	private Long userId;
	
	@ApiModelProperty(value = "客户端类型",required = false)
	private String clientType;

	@ApiModelProperty(value = "建议类型")
	private SuggestionType type = SuggestionType.APP;

	@ApiModelProperty(value = "用户名",required = false)
	private String username;
	
	/** 提交时间 */
	private java.util.Date createTime;

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setMobileNo(String mobileNo){
		this.mobileNo = mobileNo;
	}
	
	public String getMobileNo(){
		return this.mobileNo;
	}
			
	public void setTitle(String title){
		this.title = title;
	}
	
	public String getTitle(){
		return this.title;
	}
			
	public void setContent(String content){
		this.content = content;
	}
	
	public String getContent(){
		return this.content;
	}
			
	public void setUserId(Long userId){
		this.userId = userId;
	}
	
	public Long getUserId(){
		return this.userId;
	}
			
	public String getClientType() {
		return clientType;
	}

	public void setClientType(String clientType) {
		this.clientType = clientType;
	}

	public SuggestionType getType() {
		return type;
	}

	public void setType(SuggestionType type) {
		this.type = type;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
